1. Notifications
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
        GET
      • Unread
        GET
      • Mark As Read
        PATCH
  1. Notifications

Index

Developing
GET
http://127.0.0.1:8000/api/incidents
Retrieves all notifications for the authenticated user.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "message": "Notifications retrieved successfully",
    "data": [
        {
            "id": "6fed7f2a-7f8a-4f6c-b7ac-ec8ab029333a",
            "title": "Critical incident created",
            "message": "A critical security incident requires immediate attention.",
            "incident_id": 5,
            "incident_title": "Critical Malware Investigation",
            "severity": "critical",
            "status": "open",
            "read_at": null,
            "created_at": "2026-06-23T12:53:14.000000Z"
        }
    ]
}
Modified at 2026-06-23 13:22:45
Previous
Index
Next
Unread
Built with